using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.BLL.RegraNegocio;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioTempEmAberto
    {


        public void Execute(entidadeTempEmAberto objTempEmAberto)
        {
            dalTempEmAberto dalTempEmAberto = null;

            try
            {
                dalTempEmAberto = new dalTempEmAberto();

                dalTempEmAberto.Execute(objTempEmAberto);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Execute_1(entidadeTempEmAberto objTempEmAberto)
        {
            dalTempEmAberto dalTempEmAberto = null;

            try
            {
                dalTempEmAberto = new dalTempEmAberto();

                dalTempEmAberto.Execute_1(objTempEmAberto);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable Execute_2(entidadeTempEmAberto objTempEmAberto)
        {
            dalTempEmAberto dalTempEmAberto = null;
            DataTable dt = null;

            try
            {
                dalTempEmAberto = new dalTempEmAberto();
                dt = dalTempEmAberto.Execute_2(objTempEmAberto);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }


    }
}
